/**
 Description: Controller - Day Zero Wizard
 Copyright (c) 2016 by Cisco Systems, Inc.
 All rights reserved.
 */
app.service('dayZeroStepService', function() {
	//private to the service
	var basicConfig={};
	var interConfig={};
	var advConfig={};
	var layConfig={};
	var summary={};
	var cli='';
	var vlanInter={};
	var interfaceOptions=[];
	var ipAddressAssign=[];
	var allvalns={};

	//APIs to access the private data variable
	return {
		setBasicConfig:function(newBasicConfig){
			basicConfig=newBasicConfig;
		},
		getBasicConfig:function(){
			return basicConfig;
		},
		setInterConfig:function(newInterConfig){
			interConfig=newInterConfig;
		},
		getInterConfig:function(){
			return interConfig;
		},
		setAdvConfig:function(newAdvConfig){
			advConfig=newAdvConfig;
		},
		getAdvConfig:function(){
			return advConfig;
		},
		setLayConfig:function(newLayConfig){
			layConfig=newLayConfig;
		},
		getLayConfig:function(){
			return layConfig;
		},
		setSummary:function(newSummary){
			summary=newSummary;
		},
		getSummary:function(){
			return summary;
		},
		setCli:function(newCli){
			cli=newCli;
		},
		getCli:function() {
			return cli;
		},
		setVlanInter:function(newVlanInter){
		vlanInter=newVlanInter;
		},
		getVlanInter:function(){
			return vlanInter;
		},
		setAllValns:function(newvlans){
			allvalns=newvlans;
		},
		getAllValns:function(){
			return allvalns;
		},
		setInterOption:function(newOptions){
		interfaceOptions=newOptions;
		},
		getInterOption:function(){
			return interfaceOptions;
		},
		setIpAddressAssign:function(newIpAddressAssign){
			ipAddressAssign=newIpAddressAssign;
		},
		getIpAddressAssign:function(){
			return ipAddressAssign;
		}
	};
});

